> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data source

> Obtains information about the specified data source.



## OpenAPI

````yaml get /v1/team/datasets/{datasetId}/datasources/{datasourceId}
openapi: 3.0.1
info:
  title: Team Open API
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v1/team/datasets/{datasetId}/datasources/{datasourceId}:
    get:
      tags:
        - Data source
      summary: Get data source
      description: Obtains information about the specified data source.
      parameters:
        - name: datasetId
          in: path
          description: The ID of the dataset that contains the data source.
          required: true
          schema:
            type: string
        - name: datasourceId
          in: path
          description: 'The data source ID. '
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: The external trace ID. The length ranges from 0 to 128 characters.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. Possible error
                      codes include: 

                      - 100: Bad request. 

                      - 201: Request frequency limit.

                      - 9999: Internal error. 

                      - 100001: Invalid operation. 
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: >-
                          The data source ID, which uniquely identifies the data
                          source.
                      datasetId:
                        type: string
                        description: The dataset ID.
                      name:
                        type: string
                        description: The data source name.
                      fileName:
                        type: string
                        description: The file name.
                      type:
                        type: string
                        description: >-
                          The type of the data source, which is fixed to
                          **FILE**.
                        enum:
                          - FILE
                      status:
                        type: string
                        description: >-
                          The processing status of the data source. Possible
                          values are:

                          - `invalid`: Awaiting processing.

                          - `synching`: Currently processing.

                          - `synched`: Successfully synchronized.
                        enum:
                          - synching
                          - synched
                          - invalid
                    required:
                      - id
                      - datasetId
                      - name
                      - fileName
                      - type
                      - status
                required:
                  - data
                  - code
              examples:
                '1':
                  summary: Success example
                  value:
                    code: 0
                    data:
                      id: datasource-cadsgfsdagasgadsg
                      datasetId: dataset-dagasdgasgasg
                      name: test.csv
                      fileName: test.csv
                      type: FILE
                      status: pending
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: The trace ID of Powerdrill.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````